Subject: [Diffserv] 802.1D user_priority

From: Gina DePlanche <[email-masked]>
Date: Wed, 14 Jun 2000 13:46:16 -0400 (EDT)

Hi!

	I am very new to DiffServ. I browsed through the mail archive
and didn't see any messages on this subject. Please forgive me if I
am bringing up a subject that has already received much attention.

	In section 1.4 of RFC 2475 (Architecture for Differentiated
Services), there is mention that DS can be extended across a
layer-2 switched infrastructure. Specifically, the text in
paragraph 8 is:

	"Although we contrast our architecture with these alternative 
models of service differentiation, it should be noted that links and
nodes employing these techniques may be utilized to extend differentiated
services behaviors and semantics across a layer-2 switched infrastructure
(e.g. 802.1p LANs)"

	802.1p has since been incorporated into 802.1D. 802.1D
defines values for the MAC tagged frame field user_priority.

	I was wondering if anyone has done any work mapping the DSCP
values into the MAC tagged frame field user_priority to help extend
DS across layer-2. Can all the DSCP bits be mapped? or just the
historic precedence bits?  If anyone has any experiences with this they'd
like to share, I'd really like to hear about it.

	Thank you for your time.

	- Gina

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Gina M. DePlanche               |       NxNetworks, Inc.
[email-masked]       |       9 Technology Drive, Westborough, MA
(508) 898-2800 x2541            |       01581-1799  MailStop #23
Fax: (508) 836-5347             |       http://www.nxnetworks.com

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: Juha Heinanen <[email-masked]>
Date: Thu, 15 Jun 2000 09:01:01 +0300 (EEST)

> like to share, I'd really like to hear about it.

ethernet switches need to implement the same kind of traffic management
capabilities (policing, buffer management, scheduling, etc.) than
routers and then, depending on which kind of services the customer wants
to provide and the ip layer, it selects a set of user priority bits to
denote each of these services.  so as long as the services are not
standardised, it doesn't make much sense to standardize the mappings.

-- juha

---

From: Shashank R Khanvilkar <[email-masked]>
Date: Thu, 15 Jun 2000 02:10:42 -0500 (CDT)

IN a diffserv architecture every flow is assigned a particular DSCP code
at the ingress router ..(Please ignore the gory details for the time
being)...
Now at the core routers all the packets belonging to the same class
are treated equally and are either subjected to Expedited PHB or Assured
PHB..

In case of assured PHB, every class is further  subdivided into different
colors (RED, green, yellow..say) .. which again have different priorities
within the same class.. 
1. is the above correect??

2. If yes then is the classification of colours done only by routers
implementing RED...

3. Do each packet belonging to the same class but different color, given a
seperate DSCP at the ingress router..

Regards
Shashank

---

From: demir <[email-masked]>
Date: Thu, 15 Jun 2000 01:39:38 -0700 (PDT)

> 1. is the above correect??
Yes.

> 2. If yes then is the classification of colours done only by routers
Classification is done by a classifier. I'd say a router supporting AF
PHB. RED is a candidate algorithm for AF PHB. There might be others. It's
explained well in RFC of AF PHB.

> seperate DSCP at the ingress router..
Correct. Again the RFC of AF PHB.

Alper K. Demir

---

From: Kathleen Nichols <[email-masked]>
Date: Thu, 15 Jun 2000 14:28:01 -0700

> are treated equally and are either subjected to Expedited PHB or Assured

This is not strictly correct: 
Every *packet* is assigned a particular DSCP code (not flow)...
Packets with the same *DSCP* get the same treatment at routers...
That treatment is the per-hop behavior or PHB and does not have to
be *either* EF or AF. Both those drafts note they are not mandatory
parts of diffserv and non-standardized PHBs can be used as well
as CS compliant PHBs.

> 1. is the above correect??

The different "colors" are not recognized explicitly, but if they
are mapped to some AF DSCP, that is what triggers a particular
treatment at each router.

> 2. If yes then is the classification of colours done only by routers

This type of classification generally does *not* use RED, but some
informational drafts and RFCs have been written to describe ways
to do the classification, for example, RFC 2698 and draft-fang-...,
not to mention some academic papers. Much has been written about
used "variants" of RED to make the decision about whether to drop
or accept various AF-marked packets, but RFC2597 explicitly does
*not* require these RED-based algorithms.

> seperate DSCP at the ingress router..

This was answered above. Keep in mind that "class" is a nebulous
term.

	Kathie

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 15 Jun 2000 17:04:01 -0500

> > are treated equally and are either subjected to Expedited PHB or Assured

Or Best Effort or Class Selector PHB.

> > 1. is the above correect??

Er, no. The "colors" in AF are drop precedences, which is not the same as
priority. See RFC 2597.

---

From: Scott W Brim <[email-masked]>
Date: Thu, 15 Jun 2000 20:40:20 -0400

>Er, no. The "colors" in AF are drop precedences, which is not the same as

He means AF1x, AF2x ...

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 16 Jun 2000 09:23:29 -0500

> >Er, no. The "colors" in AF are drop precedences, which is not the same as

Well, that wasn't clear in context. Of course there is *no* priority
relationship between AF classes, by definition.

  Brian